/*++MinDate.java++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/* Log:
 * see eof
 */


package  edu.washington.cac.calendar.cap;


import  java.util.Date;

import  edu.washington.cac.calendar.icalendar.TimeProp;


/**
 * CAP MINDATE property.
 *
 *<PRE>	<!-- for alignment purposes -->&nbsp;
 * Spec:
 *   section:	8.16
 *   occurs:	1 (VCALSTORE, VREPLY (GET-CAPABILTIES)???)
 *   datatypes:	DATE-TIME/utc (1)
 *   default:	---
 *   allowed:	---
 *   params:	xparam (0+)
 *</PRE>
 *
 * @author  slh
 * @version  0.00 2002/12/11 slh
 */
public
class  MinDate
extends  TimeProp
{

/*----------------------------------------------------------------------------
 *						Constructors
 *--------------------------------------------------------------------------*/

  /*Note: this is the base constructor*/
  /**
   * Create a MINDATE property, unset.
   */
  public
  MinDate  (		)
  {
    super( Names.strProp_MinDate , true );

    /*Note: important to do this early on*/
    m_TypeDefault = DATETIME;

    /*void*/setType( DATETIME );
  }


  /**
   * Create a MINDATE property set to supplied value.
   */
  public
  MinDate  (String	strValue	)
  {
    this(  );

    try {
      /*void*/set( strValue );
    } catch (Exception	e	) {
      throw new IllegalArgumentException( getName(  ) + e );
    }
  }


/*----------------------------------------------------------------------------
 *						Object Public Methods
 *--------------------------------------------------------------------------*/

  public
  void
  set  (Date	date	,
	int	Type	)
  throws IllegalArgumentException
  {
    if (date == null) {
      throw new NullPointerException(
		getName(  ) +
		": date (Date) is null" );
    }
    if (Type != DATETIME) {
      throw new IllegalArgumentException(
		getName(  ) +
		": type can only be DATE-TIME" );
    }

    /*void*/super.set( date , Type );
  }


  public
  void
  setType  (int		Type	)
  throws IllegalArgumentException
  {
    if (Type != DATETIME) {
      throw new IllegalArgumentException(
		getName(  ) +
		": type can only be DATE-TIME" );
    }

    /*void*/super.setType( Type );
  }


  /*Note: Property.addParameter() does the right thing: only allows xparams*/

}


/* Log:
 *  0.00  2002/10/28, 2002/10/29, 2002/12/11  slh
 *        create from DateMax.java
 */
/*--MinDate.java------------------------------------------------------------*/
