/*++LastModified.java+++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/* Log:
 * see eof
 */


package  edu.washington.cac.calendar.icalendar;


import  java.util.Date;


/**
 * LastModified: ICalendar LAST-MODIFIED property.
 *
 * Spec:
 *   section:	4.8.7.3
 *   occurs:	0-1 (VEVENT)
 *   datatypes:	date-time/utc (1)
 *   default:	---
 *   allowed:	---
 *   params:	xparam (0+)
 *
 * @author slh
 * @version 0.00 2001/05/09 slh
 */
public
class  LastModified
extends  TimeProp
{

/*----------------------------------------------------------------------------
 *						Constructors
 *--------------------------------------------------------------------------*/

  public
  LastModified  (		)
  {
    super( "LAST-MODIFIED" , true );

    setType( DATETIME );
  }


/*----------------------------------------------------------------------------
 *						Object Public Methods
 *--------------------------------------------------------------------------*/

  public
  void
  set  (Date	date	,
	int	Type	)
  throws IllegalArgumentException
  {
    if (date == null) {
      throw new NullPointerException(
		getName(  ) +
		": date (Date) is null" );
    }
    if (Type != DATETIME) {
      throw new IllegalArgumentException(
		getName(  ) +
		": type can only be date-time" );
    }

    super.set( date , Type );
  }


  public
  void
  setType  (int		Type	)
  throws IllegalArgumentException
  {
    if (Type != DATETIME) {
      throw new IllegalArgumentException(
		getName(  ) +
		": type can only be date-time" );
    }

    super.setType( Type );
  }

}


/* Log:
 *  0.00  2001/05/08 - 2001/05/09  slh
 *        create
 */
/*--LastModified.java-------------------------------------------------------*/
