package pubevents.delevents;

import java.io.IOException;
import java.io.PrintWriter;
import java.sql.ResultSet;
import java.sql.SQLException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import edu.washington.cac.calendar.db.DBResources;
import edu.washington.cac.calendar.db.Fields;
import edu.washington.cac.calendar.db.PubEventsQueries;
import edu.washington.cac.calendar.db.Tables;

import pubevents.AdminServlet;
import pubevents.PEDefaults;
import pubevents.PEParameter;
import pubevents.addevents.SqlStatements;
import pubevents.util.PrintErrorMessage;
import pubevents.util.PrintWebPage;

/** list other people's events for selection to delete.
  
  @author Leman Chung
  @version 2.1
 */
public class AdminListDeletes extends AdminServlet 
{
  public void performAction(HttpServletRequest req, HttpServletResponse res)
      throws IOException 
  {
    ResultSet rs = null;

    String templateFile = PEDefaults.ADMIN_DEL_EVENTS;
    String templateFooter = PEDefaults.FOOTER;
    String templateBackToAdminMenu = PEDefaults.BACK_TO_ADMIN_MENU;

    PEParameter pep = new PEParameter(req);
    PrintWriter out = res.getWriter();
    SqlStatements sqlstmts = new SqlStatements ();

    try {
      String qry_statement = "select " 
                             + Fields.EEVENT_ID.getSelectName() + ", " 
                             + Fields.ESTARTDATE.getSelectName() + ", " 
                             + Fields.EENDDATE.getSelectName() + ", "
                             + Fields.ESHORTDESC.getSelectName() + ", "
                             + Fields.ELONGDESC.getSelectName() + ", "
                             + Fields.ELONGDESC1.getSelectName() + " from "
                             + Tables.EVENTS.getName() + ", "
                             + Tables.EVENTKEYWORDS.getName() + ", "
                             + Tables.KEYWORDS.getName() + " "
                             + new PubEventsQueries().baseStandardWhere() + 
                             " and "
                             + Fields.ECREATOR.getStmtName() + "=\'" 
                             + pep.getCreator()
                             + "\' and " 
                             + Fields.EEVENT_ID.getStmtName() + "=" 
                             + Fields.EKEVENT_ID.getStmtName() + " and "
                             + Fields.EKKEYWORD_ID.getStmtName() + "="
                             + Fields.KKEYWORD_ID.getStmtName() 
                             + " order by " 
                             + Fields.ESTARTDATE.getStmtName() + " desc;";
      rs = sqlstmts.executeQuery(qry_statement);
    } catch (Exception e) {
      e.printStackTrace(System.err);
      System.err.println(e.getMessage());
      new PrintErrorMessage().printErrorAndClose(out, 
                                                 "ERROR: " + e.getMessage(), 
                                                 templateBackToAdminMenu);
      return;
    }

    try {
    	if (!rs.next()) {
            // print out no event to delete error message.
            out.println("<br><br><b>No events created by user " + pep.getCreator() + " existed!</b>");
            new PrintWebPage(templateBackToAdminMenu, out);
            out.close();
            return;
    	} else {
            new PrintWebPage(templateFile, out);  // print out header
            do {
                 // print out start-end dates, title and description.
                 // out.print("<tr><td>&nbsp;&nbsp;&nbsp;&nbsp;</td>");
                 // add checkbox over here
                out.println("<tr><td><input type=\"checkbox\" name=\"" + PEParameter.EVENT_IDS + "\" value=\"" + rs.getString(Fields.EEVENT_ID.getName()) + "\"></td>");
                out.println("<td>" + rs.getDate(Fields.ESTARTDATE.getName()) + "</td>");
                out.println("<td>" + rs.getDate(Fields.EENDDATE.getName()) + "</td>");
                out.println("<td>" + rs.getString(Fields.ESHORTDESC.getName()) + "</td>");
                out.print("<td>" + Fields.getEventLongdesc(rs));
                out.println("</td></tr>");
            } while (rs.next());
            out.println("<tr><td></td><td></td><td></td><td></td></tr>");
            out.println("<tr><td></td><td></td>");
            out.println("<td><input type=\"submit\" value=\"Submit\"></td>");
            out.println("<td><input type=\"reset\" value=\"Clear\"></td>");
            out.println("<td></td></tr>");
    	}
    } catch (Exception e) {
        e.printStackTrace(System.err);
        System.err.println(e.getMessage());
        new PrintErrorMessage().printErrorAndClose(out, "ERROR: " + e.getMessage(), templateBackToAdminMenu);
        return;
    } finally {
      sqlstmts.close();
    }
    out.println("</table></form>");
    new PrintWebPage(templateFooter, out);
    out.close();
  }
} // the end.
