package pubevents.util;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;
import java.io.PrintWriter;

/**
  An object that prints things
  @author Leman Chung, Greg Barnes
  @version 1.1
 */
public class PrintWebPage {
  /**
    Print a file to a writer
    @param templateFile Name of the file, as a resource
    @param out Output writer
    @exception IOException If there's a problem
   */
  public PrintWebPage(String templateFile, PrintWriter out) throws IOException 
  {
    BufferedReader in = new BufferedReader(new InputStreamReader(
        this.getClass().getResourceAsStream(templateFile)));

    try {
      String aline = in.readLine(); 

      while (aline != null) {
        out.println(aline);
        aline = in.readLine();
      }
    } finally {
      in.close();
    }
  }
}
