package uwcal.guestlogin;

import javax.servlet.http.HttpServletRequest;

import edu.washington.cac.calendar.InsecureAuthenticator;
import edu.washington.cac.calendar.data.User;

import uwcal.userlogin.CalLogin;

/**
  A class that provides an insecure login facility (e.g., for testing).
  To set the userid, merely set the form parameter 'uid'

  @author Greg Barnes
  @version 1.1
 */
public class InsecureLogin extends CalLogin
{
  /** @return A printable name for the servlet */
  protected String getName() 
  {
    return "InsecureLogin";
  }

  /** 
    @return The user for the calendar session to use
    @param req The HTTP servlet request object
    @exception IllegalStateException If insecure logins are not allowed
   */
  protected User getUser(HttpServletRequest req) throws IllegalStateException
  {
    return new InsecureAuthenticator().getUser(req);
  }

  /** @return Printable info about the servlet */
  public String getServletInfo() 
  {
    return "InsecureLogin servlet: Start Cal Session and redirect";
  }
}
