// java

package uwcal.out;

import edu.washington.cac.calendar.CalParameter;
import edu.washington.cac.calendar.MyCalendar;
import edu.washington.cac.calendar.data.EventsI;
import edu.washington.cac.calendar.data.User;

import uwcal.out.forms.AddLocationForm;
import uwcal.out.forms.CalendarForm;

/**
  Form to add a location
  @author Greg Barnes
  @version 1.1
 */
public class AddLocation extends EntityPage 
{
  /** Create a new instance
    @param es User's events cache
    @param message Message to display at the top
    @param view View to return to when we're done
   */
  AddLocation(EventsI es, 
              String message, 
              Timeview view)
  {
    super(es, message, view, DisplayText.ADD_LOCATION_TITLE);
  }

  /**
    Get the form used by this page
    @return the form used by this page
   */
  protected CalendarForm getForm()
  {
    return new AddLocationForm(this);
  }

  /**
    Get the URL to add a location
    @param mc Current day
    @param page Page the URL is a part of
    @return the URL to add a location
   */
  public static String url(MyCalendar mc, Page page) 
  {
    return EntityPage.url(CalParameter.ENTERLOCATION_FUNC, mc, page);
  }
}
