// java

package uwcal.out;

import org.apache.ecs.Element;
import org.apache.ecs.Entities;
import org.apache.ecs.html.BR;

import edu.washington.cac.calendar.MyCalendar;
import edu.washington.cac.calendar.data.User;

/**
  An object that prints events in a monthview
  @author Greg Barnes
  @version 1.1
 */
public class MonthEventPrinter extends SimpleEventPrinter 
{
  /**
    Create a new instance
    @param user The user for whom the events are printed
    @param today The current day
    @param view View this printer is a part of
   */
  protected MonthEventPrinter(User user, MyCalendar today, Timeview view) 
  {
    super(user, today, view);
  }

  protected String linkStyle() 
  {
    return Style.MONTH_LINK_ITEM;
  }

  protected String descStyle() 
  {
    return Style.MONTH_DESC;
  }

  protected String spanStyle() 
  {
    return Style.MONTH_ITEM;
  }

  protected Element eventPrefix() 
  {
    return Util.spanItem(Entities.BULL, Style.MONTH_DESC);
  }

  protected Element eventSpacing() 
  {
    return new BR();
  }
}
