// java

package uwcal.out;

import org.apache.ecs.Element;
import org.apache.ecs.ElementContainer;
import org.apache.ecs.Entities;
import org.apache.ecs.StringElement;
import org.apache.ecs.html.Span;

import edu.washington.cac.calendar.MyCalendar;
import edu.washington.cac.calendar.data.User;

/** An object that prints More/Edit/Delete links 
  @author Greg Barnes
  @version 1.2
 */
public class MoreEditDelete extends EditDelete 
{
  /** Create a new instance
    @param ppep Object that prints an entity
    @param today Current day
    @param user User of the app
   */
  public MoreEditDelete(PPEventPrinter ppep, MyCalendar today, User user) 
  {
    super(ppep, today, user);
  }
  
  /** @return HTML for the edit link */
  protected Element editItem() 
  {
    return editLink(null);
  }

  /** @return HTML for the delete link */
  protected Element deleteItem() 
  {
    return deleteLink(null);
  }

  /** @return HTML for the remove link */
  protected Element removeItem() 
  {
    return removeLink(null);
  }

  /** @return HTML for the remove all link */
  protected Element removeAllItem() 
  {
    return removeAllLink(null);
  }

  /** @return HTML to use if the entity cannot be removed or edited */
  protected Element notCreator() 
  {
    return new StringElement(Entities.NBSP);
  }

  protected Element separator() 
  {
    return new ElementContainer().addElement(" " + DisplayText.SEPARATOR + " ");
  }

  /**
    Get the HTML for the MORE item
    @return the HTML for the MORE item
   */
  public Element moreItem() 
  {
    return Util.linkItem(((PPEventPrinter) this.ppep).moreUrl(this.today), 
                         DisplayText.MORE);
  }

  /** @return the More/Edit/Delete links (or the equivalent) for an event
    @param e Event in question
   */
  public Element print()
  {
    return new ElementContainer().
           addElement(new Span().
                      addElement(moreItem()).addElement("\n").
                      addElement(super.print()).
                      addElement("\n").
                      setClass(Style.AUX)).
           setClass(Style.EVENTLIST_LINKS);
  }
}
