// java

package uwcal.out;

import org.apache.ecs.Element;
import org.apache.ecs.ElementContainer;
import org.apache.ecs.Entities;

import edu.washington.cac.calendar.MyCalendar;
import edu.washington.cac.calendar.data.User;

/** An object that prints Edit/Delete links for the HourlyEventPrinter
    @author Greg Barnes
    @version 1.2
 */
public class SimpleEditDelete extends EditDelete {
  SimpleEditDelete(PPEPrinter ppep, MyCalendar today, User user) 
  {
    super(ppep, today, user);
  }
  
  /** @return HTML for the Edit link */
  protected Element editItem() 
  {
    return new ElementContainer().addElement(editLink());
  }

  /** @return HTML for the Delete link */
  protected Element deleteItem() 
  {
    return new ElementContainer().addElement(deleteLink());
  }

  /** 
    Get HTML for the Remove all link 
    @return HTML for the Remove all link 
   */
  protected Element removeAllItem() 
  {
    return new ElementContainer().addElement(removeAllLink());
  }
   
  /** 
    Get HTML for the Remove link 
    @return HTML for the Remove link 
   */
  protected Element removeItem() 
  {
    return new ElementContainer().addElement(removeLink());
  }
   
  /** @return HTML to use if the entity can't be edited or removed */
  protected Element notCreator() {
    return new ElementContainer();
  }

  protected Element separator() 
  {
    return new ElementContainer().addElement(Entities.NBSP).
                                  addElement(Entities.NBSP);
  }
}
