// java

package uwcal.out.forms;

import org.apache.ecs.ElementContainer;

import edu.washington.cac.calendar.CalParameter;
import edu.washington.cac.calendar.MyCalendar;
import edu.washington.cac.calendar.data.Location;

import uwcal.out.Page;

/**
  A form to edit a Location
  @author Greg Barnes
  @version 1.0
 */
public class EditLocationForm extends LocationForm 
{
  /** Create a new instance
    @param page Page this form is a part of
    @param l The user's locations
   */
  public EditLocationForm(Page page, Location l) 
  {
    super(page, l);
  }

  protected ElementContainer hiddens() 
  {
    return super.hiddens().
        addElement(hidden(CalParameter.LOCATION_ID, l.getId())).
        addElement("\n");
  }

  protected String formFunction() 
  {
    return CalParameter.REPLACELOCATION_FUNC;
  }

  protected String titleText() 
  {
    return FormsDisplayText.EDIT_LOCATION_TITLE;
  }

  protected String submitButtonText() 
  {
    return FormsDisplayText.CHANGE_LOCATION;
  }
}
