package uwcal.test;

import edu.washington.cac.calendar.MyCalendar;
import edu.washington.cac.calendar.data.Cacheable;
import edu.washington.cac.calendar.data.Event;
import edu.washington.cac.calendar.data.Events;
import edu.washington.cac.calendar.data.EventsI;
import edu.washington.cac.calendar.data.Location;
import edu.washington.cac.calendar.data.Sponsor;
import edu.washington.cac.calendar.data.User;
import edu.washington.cac.calendar.db.Caldata;

/** Test uwcal DB connections
  @author Greg Barnes
  @version 1.0 
*/
public class CalStressTest extends edu.washington.cac.myuw.test.StressTest {
  /** where the netids are stored */
  private static final String NAMES_FILE = "/ux01/gsbarnes/names/uwnetids";

  /** a particular day */
  private static final MyCalendar TODAY = new MyCalendar();

  /** a particular day, as a <code>java.sql.Date</code> */
  private static final java.sql.Date TODAY_DATE = 
    new java.sql.Date(TODAY.getTime().getTime());

  /** Default constructor */
  public CalStressTest() {
    super();
    setIdsFile(NAMES_FILE);
  }

  /** run db tests for one user 
	@param id the UW NetID of the user 
	@exception Exception if something goes wrong
    */
  private void runDBTests(String id) throws Exception {
/*
    Event testEvent = new Event(
      Cacheable.NO_ID, "TEST_EVENT", null,
      TODAY_DATE, null, TODAY_DATE, null, 
      false, null, id, null, 
      Location.DUMMY_LOCATION, Sponsor.DUMMY_SPONSOR);
*/

    EventsI es = new Events(new User(id), new Caldata());
/*
    es.add(testEvent);
    es.replace(testEvent);
*/
    es.oneDaysEvents(TODAY);
//    es.delete(testEvent);
  }

  /** run db tests for a user
	@param index index of the user in our array of users
	@exception Exception if something goes wrong
    */
  protected void runTest(int index) throws Exception {
    long startTime = System.currentTimeMillis();
    System.out.println(getInterval() + ": " + uwnetids[index]);
    runDBTests(uwnetids[index]);
    System.out.println(getInterval() + ": " + uwnetids[index]
    	               + " ending. Time= " 
		       + (System.currentTimeMillis() - startTime)
              	       + " milliseconds.");
  }
}
